Bug 95191 - Forms and dialogs opened via macros on ODB file open no longer work
Summary: Forms and dialogs opened via macros on ODB file open no longer work
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
: 95451 95770 99955 100874 101197 (view as bug list)
Depends on:
Blocks: Macro
  Show dependency treegraph
 
Reported: 2015-10-20 08:20 UTC by antonio
Modified: 2018-10-27 02:55 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
macro autoexe not work (300.85 KB, application/vnd.oasis.opendocument.database)
2015-10-20 09:55 UTC, antonio
Details
test file (11.23 KB, application/vnd.oasis.opendocument.database)
2015-11-07 12:43 UTC, antonio
Details
Full bt using lldb (15.55 KB, text/plain)
2017-07-31 10:05 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description antonio 2015-10-20 08:20:00 UTC
Dialoghi e finestre aperte tramite macro non sono visibili.
Il problema e solo su OS X, la verione Linux lavora
Ho notato il problema utilizzanodo modulo database, credo che le finestre siano effettivamante aperte ma rimangano per qualche motivo oscurate dalla finestra princilale
Comment 1 Alex Thurgood 2015-10-20 09:01:51 UTC
@antonio : this bugzilla is for reports in English.

My limited understanding of Italian indicates that you only experience the problem with macros running in a database file which produce a dialog and these dialogs are hidden behind the main application window.  

Could you provide us with a sample database and instructions on how to proceed, so that we can test, specifically on OSX ?
Comment 2 antonio 2015-10-20 09:55:53 UTC
Created attachment 119779 [details]
macro autoexe not work
Comment 3 antonio 2015-10-20 10:18:49 UTC
Dialogues and open windows via macros are not visible.
The problem only on OS X, the whisker version Linux works
I noticed the problem utilizzanodo module database, I believe that the windows are open but effettivamante remain for some reason obscured from the main window
Comment 4 antonio 2015-11-07 12:43:46 UTC
Created attachment 120360 [details]
test file
Comment 5 antonio 2015-11-07 12:44:00 UTC
The macros that open forms not funzionanosu Libreoffice 5 Mac OSX 11.10 attach files test
Comment 6 Alex Thurgood 2015-11-09 12:12:05 UTC
@antonio : many thanks, I can confirm this bug.

The form opens automatically with

Version: 4.1.4.2
Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72

it fails on 5022 and 4452. Resetting version to earliest tested

Regression
Comment 7 Alex Thurgood 2015-11-09 12:17:32 UTC
I tested both sampe ODB files provided by the original reporter. I have seen other reports on the French discussion list about what looks to be an identical problem, both of which appears to be specific to OSX.
Comment 8 Alex Thurgood 2015-11-09 12:21:19 UTC
Proava-autoexc fails to load form in 

Version: 4.2.4.2
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Comment 9 Alex Thurgood 2015-11-09 12:22:31 UTC
@Antonio : just so I can fully test the databasetesil.odb file, can you give us the password for the passwrod dialog ? Thanks
Comment 10 Alex Thurgood 2015-11-09 12:26:59 UTC
*** Bug 95451 has been marked as a duplicate of this bug. ***
Comment 11 antonio 2015-11-09 13:35:57 UTC
(In reply to Alex Thurgood from comment #9)
> @Antonio : just so I can fully test the databasetesil.odb file, can you give
> us the password for the passwrod dialog ? Thanks

verification with the file test-autoexec.mdb has no password
Comment 12 antonio 2015-11-13 21:40:24 UTC
the problem happens only with Mac OS X 10.11
the malfunction is serious because it can not use some files
Comment 13 antonio 2015-11-30 07:26:28 UTC
the problem is also the version 5.1 beta, instead using OpenOffice 4.1 macro start working.
Nobody is responsible for this serious bug? It makes many useless files with macros
Comment 14 Julien Nabet 2015-11-30 07:47:32 UTC
Did you give a try with a build including this patch http://cgit.freedesktop.org/libreoffice/core/commit/?id=11f1029be5ad2cc8c69de48a139504d6e4df0565 (about 5 days ago)?
Comment 15 Alex Thurgood 2015-11-30 08:05:52 UTC
(In reply to Julien Nabet from comment #14)
> Did you give a try with a build including this patch
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=11f1029be5ad2cc8c69de48a139504d6e4df0565 (about 5 days ago)?

Tested on

Version: 5.1.0.0.alpha1+
Build ID: 0721765417f787c8f4b1382b5d9100fa3a2a61ad
Threads 2; Ver: -; Render: default; 

Locale : fr-FR (fr.UTF-8)

Form / dialog still does not autload on opening the proava-autoexc.ODB file.
Comment 16 Alex Thurgood 2015-11-30 08:12:25 UTC
(In reply to Alex Thurgood from comment #15)
> (In reply to Julien Nabet from comment #14)
> > Did you give a try with a build including this patch
> > http://cgit.freedesktop.org/libreoffice/core/commit/
> > ?id=11f1029be5ad2cc8c69de48a139504d6e4df0565 (about 5 days ago)?
> 
> Tested on
> 
> Version: 5.1.0.0.alpha1+
> Build ID: 0721765417f787c8f4b1382b5d9100fa3a2a61ad
> Threads 2; Ver: -; Render: default; 
> 
> Locale : fr-FR (fr.UTF-8)
> 
> Form / dialog still does not autload on opening the proava-autoexc.ODB file.

FWIW, the form doesn't even open manually, nor can I enter Form edit mode from the context menu in the above master build, yet the form self loads perfectly on LO4142.
Comment 17 Alex Thurgood 2015-11-30 08:13:23 UTC
*** Bug 95770 has been marked as a duplicate of this bug. ***
Comment 18 antonio 2015-12-07 12:12:55 UTC
The bug is present in version 5.1 beta 2
Comment 19 Robinson Tryon (qubit) 2015-12-14 05:32:38 UTC Comment hidden (obsolete)
Comment 20 Joel Madero 2015-12-19 16:55:13 UTC
@antonio -

you might want to jump into the QA chat and try to bibisect this bug. I don't have an OSX machine so I can't do it but a bibisect would help move the bug forward.

https://kiwiirc.com/client/irc.freenode.net/libreoffice-qa
Comment 21 Buovjaga 2015-12-19 18:00:47 UTC
(In reply to Joel Madero from comment #20)
> @antonio -
> 
> you might want to jump into the QA chat and try to bibisect this bug. I
> don't have an OSX machine so I can't do it but a bibisect would help move
> the bug forward.
> 
> https://kiwiirc.com/client/irc.freenode.net/libreoffice-qa

He jumped in, but it didn't work out as he only speaks Italian and the instructions are not translated yet https://wiki.documentfoundation.org/QA/Bibisect/OS_X
Comment 22 Julien Nabet 2015-12-19 18:04:16 UTC
(Can't help here since it's MacOs only)
Comment 23 antonio 2015-12-19 18:46:23 UTC
(In reply to Julien Nabet from comment #22)
> (Can't help here since it's MacOs only)

in the collegamanto found a video where you can understand the problem

https://www.dropbox.com/s/jr0pe96yqkabew3/bug.mov?dl=0
Comment 24 Alex Thurgood 2016-05-20 07:34:55 UTC
*** Bug 99955 has been marked as a duplicate of this bug. ***
Comment 25 Alex Thurgood 2016-07-18 09:07:39 UTC
*** Bug 100874 has been marked as a duplicate of this bug. ***
Comment 26 Alex Thurgood 2016-07-18 09:09:45 UTC
This bug is a real hindrance for cross-platform Base development.
Comment 27 Alex Thurgood 2016-07-18 09:15:03 UTC
The bibisect range is from

Version: 4.1.4.2
Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72

to

Version: 4.2.4.2
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Comment 28 Alex Thurgood 2016-07-29 15:59:59 UTC
*** Bug 101197 has been marked as a duplicate of this bug. ***
Comment 29 Alex Thurgood 2017-07-31 09:17:19 UTC
When I load the file in my master debug-enabled build, I see this in lldb :

warn:vcl:50903:1:vcl/quartz/salgdiutils.cxx:219: UpdateWindow called on uneligible graphics
warn:xmloff.core:50903:1:xmloff/source/core/xmlimp.cxx:964: exception caught
warn:legacy.osl:50903:1:xmloff/source/core/xmlimp.cxx:965: DBG_UNHANDLED_EXCEPTION in virtual void SvXMLImport::setTargetDocument(const uno::Reference<lang::XComponent> &)
    type: com.sun.star.lang.NotInitializedException
    context: N8dbaccess17ODatabaseDocumentE

warn:xmloff.core:50903:1:xmloff/source/core/xmlimp.cxx:964: exception caught
warn:legacy.osl:50903:1:xmloff/source/core/xmlimp.cxx:965: DBG_UNHANDLED_EXCEPTION in virtual void SvXMLImport::setTargetDocument(const uno::Reference<lang::XComponent> &)
    type: com.sun.star.lang.NotInitializedException
    context: N8dbaccess17ODatabaseDocumentE

warn:xmloff.core:50903:1:xmloff/source/core/xmlimp.cxx:964: exception caught
warn:legacy.osl:50903:1:xmloff/source/core/xmlimp.cxx:965: DBG_UNHANDLED_EXCEPTION in virtual void SvXMLImport::setTargetDocument(const uno::Reference<lang::XComponent> &)
    type: com.sun.star.lang.NotInitializedException
    context: N8dbaccess17ODatabaseDocumentE


This is up to the point where the user gets asked to Enable or Disallow macros. When I click on Enable macros, I see the following :


warn:legacy.osl:50903:10:dbaccess/source/ui/uno/dbinteraction.cxx:65: BasicInteractionHandler::BasicInteractionHandler: enabling legacy behavior, there should be no clients of this anymore!
Process 50903 stopped
* thread #15, stop reason = signal SIGSEGV
    frame #0: 0x000000018cd002b4
->  0x18cd002b4: movl   (%rsi), %eax
    0x18cd002b6: leaq   0xf8(%rbp), %rsi
    0x18cd002bd: vmovdqu %ymm0, (%rsi)
    0x18cd002c1: vmovdqu %ymm7, 0x20(%rsi)


So, what has changed in UNO, and more particularly dbinteraction.cxx to cause this to happen ?
Comment 30 Alex Thurgood 2017-07-31 09:19:18 UTC
Note that when the SIGSEGV occurs, only part of the main Base screen gets drawn, in particular only the top and lower frames, the left hand side frame and other toolbars are not drawn.
Comment 31 Alex Thurgood 2017-07-31 10:01:49 UTC
Continuing in lldb finally enables the Base main window to be drawn :

Process 50903 resuming
warn:sal.file:50903:10:sal/osl/unx/file_misc.cxx:350: Invalid file URL
warn:sw:50903:10:sw/inc/swrect.hxx:283: SVRect() without Width or Height
warn:sw:50903:10:sw/inc/swrect.hxx:283: SVRect() without Width or Height
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:legacy.osl:50903:10:unotools/source/config/moduleoptions.cxx:478: unknown factory
warn:sw:50903:10:sw/inc/swrect.hxx:283: SVRect() without Width or Height
warn:sw:50903:10:sw/inc/swrect.hxx:283: SVRect() without Width or Height
warn:sw:50903:10:sw/inc/swrect.hxx:283: SVRect() without Width or Height
warn:sw:50903:10:sw/inc/swrect.hxx:283: SVRect() without Width or Height
warn:legacy.osl:50903:10:unotools/source/config/confignode.cxx:444: DBG_UNHANDLED_EXCEPTION in com::sun::star::uno::Any utl::OConfigurationNode::getNodeValue(const rtl::OUString &) const
    type: com.sun.star.container.NoSuchElementException
    message: Active
    context: N9configmgr10RootAccessE

warn:legacy.osl:50903:10:comphelper/source/misc/types.cxx:87: OSL_ASSERT: 0
warn:unotools:50903:10:unotools/source/config/confignode.cxx:313: OConfigurationNode::openNode: there is no element named Modes
warn:legacy.osl:50903:10:unotools/source/config/confignode.cxx:189: OConfigurationNode::getNodeNames: object is invalid!
warn:legacy.osl:50903:1:unotools/source/config/confignode.cxx:444: DBG_UNHANDLED_EXCEPTION in com::sun::star::uno::Any utl::OConfigurationNode::getNodeValue(const rtl::OUString &) const
    type: com.sun.star.container.NoSuchElementException
    message: Active
    context: N9configmgr10RootAccessE

warn:legacy.osl:50903:1:comphelper/source/misc/types.cxx:87: OSL_ASSERT: 0
warn:unotools:50903:1:unotools/source/config/confignode.cxx:313: OConfigurationNode::openNode: there is no element named Modes
warn:legacy.osl:50903:1:unotools/source/config/confignode.cxx:189: OConfigurationNode::getNodeNames: object is invalid!
warn:vcl.schedule:50903:1:vcl/source/app/scheduler.cxx:236: we're too early - restart the timer!
Comment 32 Alex Thurgood 2017-07-31 10:04:36 UTC
Note that from this point, the main Base window, whilst drawn, doesn't display any objects when clicking on the left hand pane icons (Tables, Queries, Reports).
Comment 33 Alex Thurgood 2017-07-31 10:05:57 UTC
Created attachment 135015 [details]
Full bt using lldb

The backtrace at SIGSEGV
Comment 34 QA Administrators 2018-10-27 02:55:56 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug